/***************************************************************************
Name: CS Lite
Description: Control cookie permissions.
Author: Ron Beckman
Homepage: http://forum.softwareblaze.com

Copyright (C) 2007  Ron Beckman

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

Free Software Foundation, Inc.
51 Franklin Street
Fifth Floor
Boston, MA  02110-1301
USA
***************************************************************************/




var cookiesafeMenuItems = {

   leftclick: [

      ['menuitem',
      ['id','cookiesafe-global-allow'],
      ['label','cookiesafe.AllowGlobal'],
      ['oncommand','cookiesafe.globalPrompt();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"247");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-global-deny'],
      ['label','cookiesafe.DenyGlobal'],
      ['oncommand','cookiesafe.allowAll(false);'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"246");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep1'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-block'],
      ['label','cookiesafe.lBlock'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"245");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-remove'],
      ['label','cookiesafe.lRemove'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"244");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep2'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-allow'],
      ['label','cookiesafe.lAllow'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"243");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-session'],
      ['label','cookiesafe.lSession'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"242");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-temporary'],
      ['label','cookiesafe.lTemporary'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"241");'],
      ['class','menuitem-iconic']
      ]
   ],

   rightclick: [

      ['menuitem',
      ['id','cookiesafe-support'],
      ['label','cookiesafe.Support'],
      ['oncommand','cookiesafe.viewHelp();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"240");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep4'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-about'],
      ['label','cookiesafe.lAboutCookiesafe'],
      ['oncommand','cookiesafe.viewAbout();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"239");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-options'],
      ['label','cookiesafe.lCookiesafeOptions'],
      ['oncommand','cookiesafe.viewOptions();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"238");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep5'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-edit-cookies'],
      ['label','cookiesafe.lEditCookies'],
      ['oncommand','cookiesafe.viewEditCookies();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"236");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-view-cookies'],
      ['label','cookiesafe.lViewCookies'],
      ['oncommand','cookiesafe.viewCookies();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"237");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-clear-cookies'],
      ['label','cookiesafe.lClearCookies'],
      ['oncommand','cookiesafe.clearCookies();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"235");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep6'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-view-exceptions'],
      ['label','cookiesafe.lViewExceptions'],
      ['oncommand','cookiesafe.viewExceptions();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"234");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-clear-exceptions'],
      ['label','cookiesafe.lClearExceptions'],
      ['oncommand','cookiesafe.clearExceptions();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"233");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep7'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-update'],
      ['label','cookiesafe.lUpdateBlocklist'],
      ['oncommand','cookiesafeUpdate.updateBlocklist();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"232");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep8'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-last10hosts'],
      ['label','cookiesafe.lLast10Hosts'],
      ['oncommand','cookiesafe.viewLast10Hosts();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"231");'],
      ['class','menuitem-iconic']
      ]
   ],

   contextOnly: [

      ['menuseparator',
      ['id','cookiesafe-sep3'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ]
   ]
};